reset #limpa a memória do gnuplot
set zeroaxis lt -1 #coloca eixos x e y
set term wxt
set term png enhanced size 1200,800 #gera figura png

#set style fill solid 1.0 noborder #define estilo de preenchimento sólido
set style function filledcurves y1=0 #define que o preenchimento dar-se-á a partir do eixo x, para y=0

set label "Máximos (35,26)" offset 35,26 font "Arial,20" #coloca textos no gráfico

set arrow from 4.8,40 to 2.6,40 #coloca setas no gráfico
set arrow from 5.5,38 to 4.5,23
set arrow from 6,38 to 6.5,17

set out "arquivo1.png" #cria o "arquivo1.jpg"
plot 10*cos(x) fs solid 1.0, "arquivo.key" u 1:2 w l
#plot 10*cos(x) w l #, "arquivo.key" u 1:2 w l  
unset out #fecha o(s) arquivo(s)

set style fill transparent solid 0.5 noborder #preenc. transp.


unset arrow
unset label 
set out "arquivo2.png" #cria o "arquivo2.jpg"
plot 5*cos(x) fs transparent solid 0.5, 3*sin(x) fill pattern 1 transparent
unset out #fecha o(s) arquivo(s)

set out "arquivo3.png" #cria o "arquivo3.jpg"
set logscale y #coloca eixo y com escala logarítmica
#set grid #mostra grade
set xtics nomirror #tira os tics superiores
set ytics nomirror #tira os tics direitos
set border 15 #escolhe as bordas que aparecem na figura: 1, 2, 4, 8
unset zeroaxis
###############################################################
plot "arquivo.key" u 1:($$2+5) w l
###############################################################
unset out #fecha o(s) arquivo(s)

set out "arquivo4.png" #cria o "arquivo4.jpg"
plot "arquivo.key" u 3:4 w l
unset out #fecha o(s) arquivo(s)

unset logscale y
set out "arquivo5.png" #cria o "arquivo5.jpg"
splot sqrt(cos(x)**2+sin(y)**2)
unset out #fecha o(s) arquivo(s)







