reset #limpa a memória do gnuplot
set zeroaxis lt -1 #coloca eixos x e y
#set term wxt
set term pngcairo enhanced size 1200,800 #gera figura png

#set style fill solid 1.0 noborder #define estilo de preenchimento sólido
set style function filledcurves y1=0 #define que o preenchimento dar-se-á a partir do eixo x, para y=0

set label "Máximos (35,26)" offset 35,26 font "Arial,20" #coloca textos no gráfico

set arrow from 4.8,40 to 2.6,40 #coloca setas no gráfico
set arrow from 5.5,38 to 4.5,23
set arrow from 6,38 to 6.5,17


set style fill transparent solid 0.5  #preenc. transp.

set out "a1.png" #cria o "a1.jpg"
plot 10*cos(x) w filledcurves y1=0, "arquivo.key" u 1:2 w filledcurves
#plot 10*cos(x) w l #, "arquivo.key" u 1:2 w l  
unset out #fecha o(s) arquivo(s)

unset arrow
unset label 
set out "a2.png" #cria o "a2.jpg"
plot 5*cos(x) w filledcurves y1=0, 3*sin(x) fs  transparent solid 0.5 
unset out #fecha o(s) arquivo(s)
